<!doctype html>
<html lang="en"{% if has_request_context() and 'theme' in request.args %} data-theme="{{request.args.get('theme')}}"{% elif has_request_context() and request.cookies.get('theme') %} data-theme="{{request.cookies.get('theme')}}"{% endif %}>
<head>
	<meta charset="UTF-8">
	<title>Lms42</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta http-equiv="x-ua-compatible" content="ie=edge">
	<link rel="shortcut icon" href="{{ url_for('static', filename='favicon.svg') }}">
	{% if base_url %}
	<base href="{{base_url}}">
	{% endif %}
	<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}">
	{% block head %}{% endblock %}
	<script src="/static/htmx.min.js"></script>
	<script src="/static/layout.js"></script>
	<script>
		window.csrf = "{{ csrf_token() }}";
		htmx.on('htmx:configRequest', evt => {
        	evt.detail.headers['X-CSRFToken'] = window.csrf;
     	})
	</script>
</head>
<body>

	{% if header != False %}
	<header class="invert">
		<nav class="container bottom-tooltip">
			<div class="left">
				{% if not archive_mode %}
				<a href="/" id="logo-link">
					<svg width="1.2em" height="1.5em" role="img" version="1.1" viewBox="0 0 800 800" xmlns="http://www.w3.org/2000/svg"><path d="m768 0h-736c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32v-736c0-17.7-14.3-32-32-32zm-366.9 406.1-192 161c-5.2 4.4-13.1 0.7-13.1-6.1v-62.7c0-2.3 1.1-4.6 2.9-6.1l109.8-92.2-109.8-92.2a7.63 7.63 0 0 1-2.9-6.1v-62.7c0-6.8 7.9-10.5 13.1-6.1l192 160.9c3.9 3.2 3.9 9.1 0 12.3zm202.9 154.9c0 4.4-3.4 8-7.5 8h-185c-4.1 0-7.5-3.6-7.5-8v-48c0-4.4 3.4-8 7.5-8h185c4.1 0 7.5 3.6 7.5 8z" fill="currentColor"/></svg>
					<strong>LMS</strong>42
				</a>
				{% endif %}
				<div class="page-title">
					{% block title %}{{title}}{% endblock %}
				</div>
			</div>
			{% if not archive_mode %}
			<div aria-label="main navigation">
				{% if current_user.next_flashcard %}
				<a href="/flashcards" data-tooltip="Daily flashcards" hx-get='/flashcards?fragment=modal' hx-target="body" hx-swap="beforeend" id="dailyFlashcardsIcon">
					<svg xmlns="http://www.w3.org/2000/svg" width="1.3em" height="1.3em" viewBox="0 0 14 14"><path fill="currentColor" fill-rule="evenodd" d="M4.272 0a.5.5 0 0 0-.46.305l-2.25 5.31l-.002.005A1 1 0 0 0 2.48 7h2.129l-1.818 6.363a.5.5 0 0 0 .825.5l8.59-8.14l.003-.003A1 1 0 0 0 11.53 4H8.582L10.218.724A.5.5 0 0 0 9.773 0z" clip-rule="evenodd"/></svg>
				</a>
				{% endif %}
				<a href="/curriculum" data-tooltip="Learning">
					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="margin-bottom: -4px;" role="img" width="1.5em" height="1.5em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 16 16"><path fill="currentColor" d="M15.09 12.79a1 1 0 0 0-.086-1.638L15 5.33L14 6v5.15a1.001 1.001 0 0 0-.092 1.629l-.378.502a2.48 2.48 0 0 0-.53 1.498v1.222H13.815a.88.88 0 0 0 .853-.664l.331-1.336v2h1v-1.21a2.486 2.486 0 0 0-.534-1.505z"/><path fill="currentColor" d="M8 0L0 4l8 5l8-5l-8-4z"/><path fill="currentColor" d="M8 10L3 6.67v1.71C3 9.29 5.94 12 8 12s5-2.71 5-3.62V6.67z"/></svg>
				</a>

				{% if current_user.is_authenticated %}
				<a href="/people" data-tooltip="People">
					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" role="img" width="1.5em" height="1.5em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 16 16"><g fill="currentColor"><path d="M7 14s-1 0-1-1s1-4 5-4s5 3 5 4s-1 1-1 1H7zm4-6a3 3 0 1 0 0-6a3 3 0 0 0 0 6z"/><path fill-rule="evenodd" d="M5.216 14A2.238 2.238 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.325 6.325 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1h4.216z"/><path d="M4.5 8a2.5 2.5 0 1 0 0-5a2.5 2.5 0 0 0 0 5z"/></g></svg>
				</a>
				<a href="/events" data-tooptip="Intro events">
					<svg xmlns="http://www.w3.org/2000/svg" width="1.5em" height="1.5em" viewBox="0 0 16 16"><path fill="currentColor" fill-rule="evenodd" d="M8 13.5a5.5 5.5 0 1 0 0-11a5.5 5.5 0 0 0 0 11M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14M4.75 9.25a.75.75 0 0 1 .75-.75h5a.75.75 0 0 1 .75.75c0 .686-.43 1.319-.974 1.746c-.57.447-1.358.754-2.276.754s-1.706-.307-2.276-.754c-.543-.427-.974-1.06-.974-1.746M10 7.5a.75.75 0 0 1-.75-.75v-1a.75.75 0 0 1 1.5 0v1a.75.75 0 0 1-.75.75m-4.75-.75a.75.75 0 0 0 1.5 0v-1a.75.75 0 0 0-1.5 0z" clip-rule="evenodd"/></svg>
				</a>
				{% endif %}

				{% if current_user.is_authenticated and current_user.current_attempt %}
				<a href="/curriculum/{{current_user.current_attempt.node_id}}" data-tooltip="Current lesson">
					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" focusable="false" width="1.5em" height="1.5em" style="margin-bottom: -2px;" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M19 3h-4.18C14.4 1.84 13.3 1 12 1s-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1s-1-.45-1-1s.45-1 1-1zm1 14H8c-.55 0-1-.45-1-1s.45-1 1-1h5c.55 0 1 .45 1 1s-.45 1-1 1zm3-4H8c-.55 0-1-.45-1-1s.45-1 1-1h8c.55 0 1 .45 1 1s-.45 1-1 1zm0-4H8c-.55 0-1-.45-1-1s.45-1 1-1h8c.55 0 1 .45 1 1s-.45 1-1 1z" fill="currentColor"/></svg>
				</a>
				<a data-tooltip="Teacher Droid" hx-get="/ai/queries?fragment=modal" hx-trigger="click" hx-target="body" hx-swap="beforeend">
					<svg xmlns="http://www.w3.org/2000/svg" role="img" width="1.5em" height="1.5em" style="margin-bottom: -2px;" viewbox="0 0 24 24"><path d="M2.479 11.898l-.017-3.753-.513.015c-.424.014-.584.051-.917.218-.45.225-.86.683-.979 1.095-.046.16-.063 1.024-.05 2.564l.02 2.322.14.266c.156.298.546.682.867.855.146.078.409.123.839.142l.626.028zM16.381 0c.562.009 1.085.42 1.239 1.038.088.353-.067.894-.33 1.151l-.194.192v.836.839h.22c.37 0 .882.137 1.288.345.491.251 1.299 1.062 1.54 1.549.442.89.417.541.417 6.068-.035 1.8.123 3.638-.136 5.401-.352 1.07-1.035 1.852-1.961 2.243l-.375.159s-.078-.017-3.663-.017C7.631 19.805.08 23.765.08 23.765c1.857-2.031 3.293-4.915 3.338-6.612s.011-.153.013-5.137l.061-4.883c.038-.27.156-.628.327-.982.559-1.156 1.854-2.09 2.899-2.093h.239v-.839c0-.771-.012-.851-.136-.965-.153-.141-.338-.495-.401-.763-.105-.447.31-1.204.77-1.4.505-.215 1.182-.014 1.476.438.357.55.329 1.134-.081 1.622l-.217.259v.826.823h3.627 3.624v-.872c0-.805-.011-.884-.136-.999a1.35 1.35 0 0 1-.375-.859c.003-.505.428-1.114.883-1.267a1.15 1.15 0 0 1 .388-.06zM7.9 8.698a2.23 2.23 0 0 0-1.611.727c-.45.49-.58.828-.579 1.499.001.486.025.611.201.992.238.515.632.932 1.084 1.144.823.387 1.754.207 2.475-.481 1.003-.956.884-2.647-.243-3.463A2.2 2.2 0 0 0 7.9 8.698zm8.355.036c-.055-.001-.117 0-.184 0-.536 0-.65.02-.932.173-.468.253-.813.584-1.029.982-.177.326-.191.399-.191 1.038v.687l.22.408c.257.484.604.824 1.058 1.035.872.406 1.946.168 2.563-.567.374-.445.511-.806.544-1.446.027-.533.015-.595-.175-1.008a2.17 2.17 0 0 0-1.074-1.115c-.29-.145-.411-.18-.799-.186zm-1.103 6.837h-3.1-3.103l-.207.189c-.281.256-.295.638-.032.906l.178.179 3.094.013c2.008.009 3.143-.01 3.229-.053.374-.188.431-.772.107-1.078zm7.754-.08a2.18 2.18 0 0 0 .938-.99l.154-.338.001-2.296L24 9.573l-.197-.402c-.34-.695-.816-.973-1.776-1.04l-.529-.037v3.771 3.771h.561c.45 0 .618-.029.847-.144z"/></svg>
				</a>
				{% endif %}

				{% if current_user.is_authenticated and current_user.is_teacher %}
				<a href="/inbox" data-tooltip="Inbox">
					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" role="img" width="1.5em" height="1.5em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 16 16"><g fill="currentColor"><path d="M4.98 4a.5.5 0 0 0-.39.188L1.54 8H6a.5.5 0 0 1 .5.5a1.5 1.5 0 1 0 3 0A.5.5 0 0 1 10 8h4.46l-3.05-3.812A.5.5 0 0 0 11.02 4H4.98zm-1.17-.437A1.5 1.5 0 0 1 4.98 3h6.04a1.5 1.5 0 0 1 1.17.563l3.7 4.625a.5.5 0 0 1 .106.374l-.39 3.124A1.5 1.5 0 0 1 14.117 13H1.883a1.5 1.5 0 0 1-1.489-1.314l-.39-3.124a.5.5 0 0 1 .106-.374l3.7-4.625z"/></g></svg>
				</a>
				{% endif %}

				{% if not current_user.is_authenticated and not session['company_id'] %}
				<a href="/user/login" data-tooltip="Sign in">
					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" role="img" width="1.5em" height="1.5em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 717 672"><path d="M391 672h195c37 0 68-13 92-38c24-24 39-56 39-92V151c0-36-15-68-39-92s-56-38-92-38H391v82h195c28 0 49 21 49 48v391c0 27-21 49-49 49H391v81zM0 269v156c0 18 15 33 33 33h182v123c0 11 5 20 15 25c4 1 9 1 11 1c7 0 13-2 18-7l235-235c9-9 8-27 0-37L259 94c-8-8-18-9-29-6c-10 5-15 13-15 24v124H33c-18 0-33 15-33 33z" fill="currentColor"/></svg>
				</a>
				{% endif %}

				<div style="position: relative;">
					<a data-tooltip="More..." onclick="toggleMenu(event)">
						<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" role="img" width="1.5em" height="1.5em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 32 32"><g fill="none"><path d="M13 7a3 3 0 1 0 6 0a3 3 0 0 0-6 0zm0 9a3 3 0 1 0 6 0a3 3 0 0 0-6 0zm0 9a3 3 0 1 0 6 0a3 3 0 0 0-6 0z" fill="currentColor"/></g></svg>
					</a>
					<div class="dropdown-menu invert card">
						{% if current_user.is_authenticated %}
						<a href="/coc">
							Code of Conduct
						</a>

						<a href="/dashboard">
							Dashboard
						</a>
						{% endif %}

						<a href="/overview">
							Curriculum
						</a>

                        {% if current_user.is_authenticated or session['company_id'] %}
                        <a href="/companies">
                            Companies
                        </a>
                        {% endif%}

						{% if current_user.is_authenticated %}
                        <a href="/events">
                            Events
                        </a>
                        {% endif%}

						{% if current_user.is_teacher %}

						<a href="/exam_dossier">
							Exam dossier
						</a>

						<a href="/trial">
							Trials
						</a>

						{% endif %}

						{% if current_user.is_inspector %}

						<a href="/ai/gradings">
							AI gradings
						</a>

						{% endif %}

						<a href="/happy-coding">
							Happy Coding	
						</a>

						<a onclick="toggleDarkMode()">
							Toggle light/dark
						</a>

						<a href="mailto:t.e.sealy@saxion.nl">
							Report an issue
						</a>

						{% if current_user.is_authenticated or session['company_id'] %}
						<form style="margin: 0;" method="post" action="/user/logout">
							<input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
							<label>
								<input type="submit" style="display: none;">
								<a>Log out</a>
							</label>
						</form>
						{% endif %}
					</div>
				</div>

				{% if current_user.is_authenticated %}
				<a data-tooltip="User profile" href="{{ url_for('user_profile', short_name=current_user.short_name)}}">
					<img class="avatar" alt="Avatar" src="{{current_user.avatar}}">
				</a>
				{% endif %}

				{% if session['company_id'] %}
				<a data-tooltip="Company profile" href="{{ url_for('show_company', company_id=session['company_id'])}}">
					<img class="avatar" alt="Avatar" src="../static/placeholder.png">
				</a>
				{% endif %}

			</div>
			{% endif %}
		</nav>
	</header>
	{% endif %}


	{% if self.bare_body() %}
		{% block bare_body %}{% endblock %}
	{% else %}

	<main class="{% block main_class %}container rows3{% endblock %}">
		{% if not archive_mode %}
		{% for message in get_flashed_messages() %}
		<article class="notification is-important">
			{{ message | inline_markdown | safe}}
		</article>
		{% endfor %}
		{% endif %}

		{% block body %}
		{% if fragment_name %}
			{% include fragment_name ignore missing %}
		{% endif %}
		{% endblock %}
	</main>
	{% endif %}
</body>
</html>
